using System.Threading.Tasks;
using Microsoft.AspNetCore.Components;

namespace BlazorWebassemblyI18n
{
    public sealed partial class App : IMessage
    {
        [Inject] private SessionManager sessionManager { get; set; }

        protected override Task OnInitializedAsync()
        {
            sessionManager.Register(this);
            return base.OnInitializedAsync();
        }

        public Task ReceiveMessage(string message)
        {
            this.StateHasChanged();
            return Task.CompletedTask;
        }
    }
}